/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 JP.Tessier - jean-philippe.tessier@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.controls.models;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.InvalidXmlDefinition;
import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;



public class ParamModelTech implements XmlMarshallable {
    public static final transient String TAG = "paramTech";
    public String id, name, value;
    
    public ParamModelTech(String tagName) {
        super();
    }
    
    public void addCharacterData(String cData) throws SAXException { }
    
    public XmlMarshallable getAttributes(XmlAttributes attributes) throws SAXException {
        id=attributes.getValue("id");
        name=attributes.getValue("name");
        value=attributes.getValue("value");
        return this;
    }
    
    public void marshall(XmlOutputter output) {
        output.startTag(TAG);
        output.addAttribute("id",id);
        output.addAttribute("name",name);
        if(value!=null) output.addAttribute("value",value.toString());
        else output.addComment("no value specified");
        output.endTag(TAG);
    }
    
    public String getId() {return id;}
    public String getName() {return name;}
    public String getValue() { return value; }
    
    public void validate() throws InvalidXmlDefinition {}
    
    public ParamModelTech clone() {
        ParamModelTech pcm = new ParamModelTech(TAG);
        pcm.id = this.id;
        pcm.name = this.name;
        pcm.value=value;
        return pcm;
    }

	public void addChild(XmlMarshallable child, String tagName) throws SAXException {}
}
